Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.register.learning.consumption
Class JobConsumptionDataTracker

    java.lang.Object
      lbg.peer.register.learning.consumption.PeerConsumptionDataTracker
          lbg.peer.register.learning.consumption.JobConsumptionDataTracker

All Implemented Interfaces:
  ConsumptionDataTracker

    public class JobConsumptionDataTracker

extends PeerConsumptionDataTracker
implements ConsumptionDataTracker

A JobConsumptionDataTracker tracks the Local data known to have been downloaded by Supplier Peers.

The tracked data were required by successfully completed Consumption Tasks.

To each data id is associated the set of Supplier Peers which have downloaded the data.

The tracked data can be searched to locate, and rank Peers that may still have some Resources holding the data in their data cache.

Author:
  Cyril Briquet

Constructor Summary
`JobConsumptionDataTracker(java.lang.String owner_peer_id, int job_id)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class lbg.peer.register.learning.consumption.PeerConsumptionDataTracker
`countTrackedData, rankPeers, trackData, trackedSuppliers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface lbg.peer.register.learning.consumption.ConsumptionDataTracker
`countTrackedData, rankPeers, trackData, trackedSuppliers`

Constructor Detail

### JobConsumptionDataTracker

    public JobConsumptionDataTracker(java.lang.String owner_peer_id,
                                     int job_id)
                              throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PeerConsumptionDataTracker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.